// ----------------------------------------------------------------------------
// favorites0.cs -- Version 3.1 -- May 9, 2000
// by Lorne Laliberte (writer@planetstarsiege.com)
//
// http://www.writerscripts.com
// ----------------------------------------------------------------------------

// Usage:
//
// $FastFaves::loadout[<device>, <modifier1>, <modifier2>, <modifier3>, <key>, <field>] = "<value>";
//
// <device>    - the device the key combination belongs to (keyboard0, mouse0, etc.)
// <modifier1> - a modifier like "shift" or "l_alt" -- use "" if key is unmodified
// <modifier2> - a modifier like "shift" or "l_alt" -- use "" if key is unmodified
// <modifier3> - a modifier like "shift" or "l_alt" -- use "" if key is unmodified
// <key>       - the Tribes name for a key, like "h" or "numpad1"
// <field>     - the loadout field (see below)
// <value>     - (see below)
//
// Fields:       Values:
//
// name        - an optional name for the loadout
// armor       - name of the armor to buy
// pack        - name of the pack to buy
// weapon1     - name of weapon to buy
// weapon2     - name of weapon to buy
// weapon3     - name of weapon to buy
// weapon4     - name of weapon to buy
// weapon5     - name of weapon to buy
// weapon6     - name of weapon to buy
// mount       - name of weapon to mount on exiting station
// grenades    - true/false/"" -- buy grenades with this loadout
// mines       - true/false/"" -- buy mines with this loadout
// beacons     - true/false/"" -- buy beacons with this loadout
// tlaser      - true/false/"" -- buy a targetting laser with this loadout
// extra1      - name of misc other item
// extra2      - name of misc other item
// extra3      - name of misc other item
// extra4      - name of misc other item
// extra5      - name of misc other item
// extra6      - name of misc other item
// extra7      - name of misc other item
// autodrop    - name of litterbug item group to "always drop" (when autodrop key is held down or toggle is active)
// litterbug   - name of litterbug item group to drop manually
// litternext  - true/false/"" -- automatically drop the litterbug item group on next station access
// vehicle     - name of vehicle to buy at vehicle stations
//
//
// Notes:
//
// "Special" (any key) modifiers are allowed for <modifier1> (according to
// the rules for bind() function binds).
//
// Modifier and key names that contain spaces (are there any?) or are escape
// characters need to quoted -- for example, the "\\" key.
//
// You can keep any of your current loadout items by leaving that field blank
// ("").  For instance, if you want to change your pack and your weapons, but
// leave your armor and vehicle selections the same, leave the armor and
// vehicle fields blank.
//
// fast_faves.cs will automatically use buyFavorites instead of buyItem if
// if more than one type of item is given.  Using buyFavorites means any items
// in your inventory that aren't in the currently defined loadout will be
// removed.
//
// To buy a single item, leave all other item fields blank.
//
// Important:
//
// Each loadout definition must be followed by a FastFaves::Bind() call
// to bind the key for that loadout.  The usage is:
//
// $FastFaves::bind(<device>, <modifier1>, <modifier2>, <modifier3>, <key>);


//-----------------------------------------------------------------------------
// Settings:
//-----------------------------------------------------------------------------


// Name for this favorites file (this is the name that will appear in the
// favorites file menu where you can switch between files)
NameForTheseFavorites("Writer's Favorites");

/////////////////////////////////
if($FastFaves::SetupComplete){ // Don't edit this line :)
/////////////////////////////////

// Which loadout to use by default (after connecting to a game)
$FastFaves::default::device = "keyboard0";
$FastFaves::default::modifier1 = "";
$FastFaves::default::modifier2 = "";
$FastFaves::default::modifier3 = "";
$FastFaves::default::key = "numpad1";

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "", "", "", "numpad0", name]       = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", armor]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", pack]       = "Turret";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", weapon1]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", weapon2]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", weapon3]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", weapon4]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", weapon5]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", weapon6]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", mount]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", grenades]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", mines]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", beacons]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", tlaser]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", extra1]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", extra2]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", extra3]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", extra4]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", extra5]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", extra6]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", extra7]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", autodrop]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", litterbug]  = "3 Turrets";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", litternext] = "TRUE";
$FastFaves::loadout[keyboard0, "", "", "", "numpad0", vehicle]    = "";
    FastFaves::bind(keyboard0, "", "", "", "numpad0");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "", "", "", "numpad1", name]       = "Sniper";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", armor]      = "Light Armor";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", pack]       = "Energy Pack";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", weapon1]    = "Disc Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", weapon2]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", weapon3]    = "Laser Rifle";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", weapon4]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", weapon5]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", weapon6]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", mount]      = "Disc Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", grenades]   = "true";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", mines]      = "true";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", beacons]    = "true";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", tlaser]     = "true";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", extra1]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", extra2]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", extra3]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", extra4]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", extra5]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", extra6]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", extra7]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", autodrop]   = "2 Repair Packs";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", litterbug]  = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", litternext] = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad1", vehicle]    = "Scout";
    FastFaves::bind(keyboard0, "", "", "", "numpad1");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "", "", "", "numpad2", name]       = "Saboteur/Sniper";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", armor]      = "Light Armor";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", pack]       = "Energy Pack";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", weapon1]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", weapon2]    = "Laser Rifle";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", weapon3]    = "ELF gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", weapon4]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", weapon5]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", weapon6]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", mount]      = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", grenades]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", mines]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", beacons]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", tlaser]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", extra1]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", extra2]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", extra3]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", extra4]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", extra5]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", extra6]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", extra7]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", autodrop]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", litterbug]  = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", litternext] = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad2", vehicle]    = "";
    FastFaves::bind(keyboard0, "", "", "", "numpad2");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "", "", "", "numpad3", name]       = "Pilot/Medic";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", armor]      = "Light Armor";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", pack]       = "Repair Pack";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", weapon1]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", weapon2]    = "Grenade Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", weapon3]    = "Disc Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", weapon4]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", weapon5]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", weapon6]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", mount]      = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", grenades]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", mines]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", beacons]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", tlaser]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", extra1]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", extra2]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", extra3]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", extra4]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", extra5]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", extra6]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", extra7]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", autodrop]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", litterbug]  = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", litternext] = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad3", vehicle]    = "";
    FastFaves::bind(keyboard0, "", "", "", "numpad3");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "", "", "", "numpad4", name]       = "Engineer";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", armor]      = "Medium Armor";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", pack]       = "Inventory Station";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", weapon1]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", weapon2]    = "Blaster";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", weapon3]    = "Grenade Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", weapon4]    = "Disc Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", weapon5]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", weapon6]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", mount]      = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", grenades]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", mines]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", beacons]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", tlaser]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", extra1]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", extra2]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", extra3]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", extra4]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", extra5]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", extra6]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", extra7]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", autodrop]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", litterbug]  = "1 Inventory Station";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", litternext] = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad4", vehicle]    = "";
    FastFaves::bind(keyboard0, "", "", "", "numpad4");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "", "", "", "numpad5", name]       = "Defender";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", armor]      = "Medium Armor";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", pack]       = "Shield Pack";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", weapon1]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", weapon2]    = "ELF gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", weapon3]    = "Disc Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", weapon4]    = "Grenade Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", weapon5]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", weapon6]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", mount]      = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", grenades]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", mines]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", beacons]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", tlaser]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", extra1]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", extra2]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", extra3]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", extra4]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", extra5]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", extra6]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", extra7]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", autodrop]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", litterbug]  = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", litternext] = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad5", vehicle]    = "";
    FastFaves::bind(keyboard0, "", "", "", "numpad5");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "", "", "", "numpad6", name]       = "Saboteur";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", armor]      = "Medium Armor";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", pack]       = "Shield Pack";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", weapon1]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", weapon2]    = "Grenade Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", weapon3]    = "Disc Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", weapon4]    = "ELF gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", weapon5]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", weapon6]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", mount]      = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", grenades]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", mines]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", beacons]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", tlaser]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", extra1]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", extra2]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", extra3]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", extra4]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", extra5]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", extra6]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", extra7]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", autodrop]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", litterbug]  = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", litternext] = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad6", vehicle]    = "";
    FastFaves::bind(keyboard0, "", "", "", "numpad6");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "", "", "", "numpad7", name]       = "Medic";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", armor]      = "Heavy Armor";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", pack]       = "Repair Pack";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", weapon1]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", weapon2]    = "ELF gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", weapon3]    = "Disc Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", weapon4]    = "Grenade Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", weapon5]    = "Mortar";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", weapon6]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", mount]      = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", grenades]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", mines]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", beacons]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", tlaser]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", extra1]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", extra2]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", extra3]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", extra4]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", extra5]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", extra6]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", extra7]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", autodrop]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", litterbug]  = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", litternext] = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad7", vehicle]    = "";
    FastFaves::bind(keyboard0, "", "", "", "numpad7");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "", "", "", "numpad8", name]       = "Defender";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", armor]      = "Heavy Armor";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", pack]       = "Shield Pack";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", weapon1]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", weapon2]    = "ELF gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", weapon3]    = "Disc Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", weapon4]    = "Grenade Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", weapon5]    = "Mortar";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", weapon6]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", mount]      = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", grenades]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", mines]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", beacons]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", tlaser]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", extra1]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", extra2]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", extra3]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", extra4]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", extra5]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", extra6]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", extra7]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", autodrop]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", litterbug]  = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", litternext] = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad8", vehicle]    = "";
    FastFaves::bind(keyboard0, "", "", "", "numpad8");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "", "", "", "numpad9", name]       = "Saboteur";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", armor]      = "Heavy Armor";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", pack]       = "Shield Pack";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", weapon1]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", weapon2]    = "Grenade Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", weapon3]    = "Disc Launcher";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", weapon4]    = "ELF gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", weapon5]    = "Mortar";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", weapon6]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", mount]      = "Plasma Gun";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", grenades]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", mines]      = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", beacons]    = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", tlaser]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", extra1]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", extra2]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", extra3]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", extra4]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", extra5]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", extra6]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", extra7]     = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", autodrop]   = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", litterbug]  = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", litternext] = "";
$FastFaves::loadout[keyboard0, "", "", "", "numpad9", vehicle]    = "";
    FastFaves::bind(keyboard0, "", "", "", "numpad9");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "decimal", name]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", pack]       = "Ammo Station";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", litterbug]  = "1 Ammo Station";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "decimal", vehicle]    = "";
    FastFaves::bind(keyboard0, "control", "", "", "decimal");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", name]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", pack]       = "Inventory Station";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", litterbug]  = "1 Inventory Station";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad0", vehicle]    = "";
    FastFaves::bind(keyboard0, "control", "", "", "numpad0");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", name]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", pack]       = "Motion Sensor";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", litterbug]  = "3 Motion Sensors";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad1", vehicle]    = "";
    FastFaves::bind(keyboard0, "control", "", "", "numpad1");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", name]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", pack]       = "Sensor Jammer";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", litterbug]  = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad2", vehicle]    = "";
    FastFaves::bind(keyboard0, "control", "", "", "numpad2");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", name]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", pack]       = "Pulse Sensor";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", litterbug]  = "3 Pulse Sensors";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad3", vehicle]    = "";
    FastFaves::bind(keyboard0, "control", "", "", "numpad3");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", name]       = "Medic";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", pack]       = "Repair Pack";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", litterbug]  = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad4", vehicle]    = "";
    FastFaves::bind(keyboard0, "control", "", "", "numpad4");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", name]       = "Shielded";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", pack]       = "Shield Pack";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", litterbug]  = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad5", vehicle]    = "";
    FastFaves::bind(keyboard0, "control", "", "", "numpad5");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", name]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", pack]       = "Camera";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", litterbug]  = "3 Cameras";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad6", vehicle]    = "";
    FastFaves::bind(keyboard0, "control", "", "", "numpad6");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", name]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", pack]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", litterbug]  = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad7", vehicle]    = "Scout";
    FastFaves::bind(keyboard0, "control", "", "", "numpad7");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", name]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", pack]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", litterbug]  = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad8", vehicle]    = "LPC";
    FastFaves::bind(keyboard0, "control", "", "", "numpad8");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", name]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", armor]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", pack]       = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", weapon1]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", weapon2]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", weapon3]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", weapon4]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", weapon5]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", weapon6]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", mount]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", grenades]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", mines]      = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", beacons]    = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", tlaser]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", extra1]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", extra2]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", extra3]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", extra4]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", extra5]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", extra6]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", extra7]     = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", autodrop]   = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", litterbug]  = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", litternext] = "";
$FastFaves::loadout[keyboard0, "control", "", "", "numpad9", vehicle]    = "HPC";
    FastFaves::bind(keyboard0, "control", "", "", "numpad9");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", name]       = "Feed Station (Empty Loadout)";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", armor]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", pack]       = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", weapon1]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", weapon2]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", weapon3]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", weapon4]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", weapon5]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", weapon6]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", mount]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", grenades]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", mines]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", beacons]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", tlaser]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", extra1]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", extra2]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", extra3]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", extra4]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", extra5]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", extra6]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", extra7]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", autodrop]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", litterbug]  = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", litternext] = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "decimal", vehicle]    = "";
    FastFaves::bind(keyboard0, "alt", "", "", "decimal");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", name]       = "Base Assault";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", armor]      = "Light Armor";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", pack]       = "Shield Pack";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", weapon1]    = "Disc Launcher";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", weapon2]    = "Grenade Launcher";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", weapon3]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", weapon4]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", weapon5]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", weapon6]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", mount]      = "Disc Launcher";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", grenades]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", mines]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", beacons]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", tlaser]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", extra1]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", extra2]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", extra3]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", extra4]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", extra5]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", extra6]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", extra7]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", autodrop]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", litterbug]  = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", litternext] = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad1", vehicle]    = "";
    FastFaves::bind(keyboard0, "alt", "", "", "numpad1");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", name]       = "with ECM";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", armor]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", pack]       = "Sensor Jammer Pack";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", weapon1]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", weapon2]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", weapon3]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", weapon4]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", weapon5]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", weapon6]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", mount]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", grenades]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", mines]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", beacons]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", tlaser]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", extra1]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", extra2]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", extra3]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", extra4]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", extra5]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", extra6]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", extra7]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", autodrop]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", litterbug]  = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", litternext] = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad2", vehicle]    = "";
    FastFaves::bind(keyboard0, "alt", "", "", "numpad2");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", name]       = "like the Energizer Bunny";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", armor]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", pack]       = "Energy Pack";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", weapon1]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", weapon2]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", weapon3]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", weapon4]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", weapon5]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", weapon6]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", mount]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", grenades]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", mines]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", beacons]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", tlaser]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", extra1]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", extra2]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", extra3]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", extra4]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", extra5]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", extra6]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", extra7]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", autodrop]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", litterbug]  = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", litternext] = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad3", vehicle]    = "";
    FastFaves::bind(keyboard0, "alt", "", "", "numpad3");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", name]       = "Base Assault";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", armor]      = "Medium Armor";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", pack]       = "Shield Pack";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", weapon1]    = "Plasma Gun";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", weapon2]    = "Disc Launcher";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", weapon3]    = "ELF gun";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", weapon4]    = "Grenade Launcher";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", weapon5]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", weapon6]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", mount]      = "Plasma Gun";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", grenades]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", mines]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", beacons]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", tlaser]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", extra1]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", extra2]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", extra3]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", extra4]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", extra5]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", extra6]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", extra7]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", autodrop]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", litterbug]  = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", litternext] = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad4", vehicle]    = "";
    FastFaves::bind(keyboard0, "alt", "", "", "numpad4");

//-----------------------------------------------------------------------------

$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", name]       = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", armor]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", pack]       = "Ammo Pack";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", weapon1]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", weapon2]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", weapon3]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", weapon4]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", weapon5]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", weapon6]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", mount]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", grenades]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", mines]      = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", beacons]    = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", tlaser]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", extra1]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", extra2]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", extra3]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", extra4]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", extra5]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", extra6]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", extra7]     = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", autodrop]   = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", litterbug]  = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", litternext] = "";
$FastFaves::loadout[keyboard0, "alt", "", "", "numpad5", vehicle]    = "";
    FastFaves::bind(keyboard0, "alt", "", "", "numpad5");

//-----------------------------------------------------------------------------

////
} // Don't edit this line :)
////
